# Chapter 3: Assembly Programming Control Flow

## Objectives:

* Utilize status flags and conditional control flow
* Understand and utilize x86(_64) string instructions and corresponding instruction prefixes
* Understand and implement methods utilizing a variety of calling conventions (both x86 and x86(_64))

---
